
Katello - Bug #17370

Use copy instead of move in puppet upgrade hook

11/16/2016 02:36 PM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Here:

 https://github.com/Katello/katello-installer/blob/master/hooks/pre/31-upgrade-puppet.rb#L21-L22

A user is reporting errors:

--upgrade-puppet copy_data fails on "mv: inter-device move failed: ‘/var/lib/puppet/ssl’ to ‘/etc/puppetlabs/puppet/ssl’; unable to

remove target: Directory not empty"

Related issues:

Is duplicate of Katello - Bug #18548: Puppet upgrade from 3 to 4: foreman-ins... Closed 02/17/2017

History

#1 - 11/30/2016 02:40 PM - Eric Helms

- translation missing: en.field_release set to 208

#2 - 12/21/2016 04:11 PM - John Mitsch

- translation missing: en.field_release changed from 208 to 214

#3 - 02/01/2017 02:52 PM - Justin Sherrill

- translation missing: en.field_release changed from 214 to 222

#4 - 02/23/2017 01:28 PM - Eric Helms

- Status changed from New to Duplicate

- translation missing: en.field_release changed from 222 to 166

#5 - 02/23/2017 01:28 PM - Eric Helms

- Is duplicate of Bug #18548: Puppet upgrade from 3 to 4: foreman-installer --upgrade-puppet fails on cp of ssl files added
